# Sun

#### new Cesium.Sun()
Scene/Sun.js 42

Draws a sun billboard.

This is only supported in 3D and Columbus view.

##### Example:

    scene.sun = new Cesium.Sun();

##### See:

- Scene#sun

### Members

#### glowFactor : Number
Scene/Sun.js 95

Gets or sets a number that controls how "bright" the Sun's lens flare appears to be. Zero shows just the Sun's disc without any flare. Use larger values for a more pronounced flare around the Sun.

Default Value: `1.0`

#### show : Boolean
Scene/Sun.js 49

Determines if the sun will be shown.

Default Value: `true`

### Methods

#### destroy()
Scene/Sun.js 320

Destroys the WebGL resources held by this object. Destroying an object allows for deterministic release of WebGL resources, instead of relying on the garbage collector to destroy this object.
Once an object is destroyed, it should not be used; calling any function other than `isDestroyed` will result in a `DeveloperError` exception. Therefore, assign the return value (`undefined`) to the object as done in the example.

##### Throws:

- DeveloperError : This object was destroyed, i.e., destroy() was called.

##### Example:

    sun = sun && sun.destroy();

##### See:

- Sun#isDestroyed

#### isDestroyed() → Boolean
Scene/Sun.js 300

Returns true if this object was destroyed; otherwise, false.
If this object was destroyed, it should not be used; calling any function other than `isDestroyed` will result in a `DeveloperError` exception.

##### Returns:

`true` if this object was destroyed; otherwise, `false`.

##### See:

- Sun#destroy